import request from '@/utils/request'

// 岗位管理 - 查询列表
export function listPositionAPI(query) {
    return request({
        url: '/personnelClassification/getClassificationList',
        method: 'GET',
        params: query,
    })
}

// 岗位管理 - 新增
export function addPositionAPI(data) {
    return request({
        url: '/personnelClassification/addClassification',
        method: 'POST',
        data,
    })
}

// 岗位管理 - 修改
export function updatePositionAPI(data) {
    return request({
        url: '/personnelClassification/updateClassification',
        method: 'POST',
        data,
    })
}

// 岗位管理 - 删除
export function delPositionAPI(data) {
    return request({
        url: `/personnelClassification/delClassification`,
        method: 'POST',
        data,
    })
}
